<?php


namespace IPS\fcontent\modules\admin\sliders;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * settings
 */
class _settings extends \IPS\Dispatcher\Controller
{
	/**
	 * @brief	Has been CSRF-protected
	 */
	public static $csrfProtected = TRUE;
			
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		\IPS\Dispatcher::i()->checkAcpPermission( 'settings_manage' );
		parent::execute();
	}

	/**
	 * Manage Settings
	 *
	 * @return	void
	 */
	protected function manage()
	{
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack('settings');

		$form = new \IPS\Helpers\Form;

		$form->add( new \IPS\Helpers\Form\YesNo( 'bim_fc_cache', \IPS\Settings::i()->bim_fc_cache, FALSE ) );
		$form->add( new \IPS\Helpers\Form\TextArea( 'bim_fc_ignoreurls', \IPS\Settings::i()->bim_fc_ignoreurls, FALSE, array('rows' => 5), NULL, NULL, NULL, 'bim_fc_ignoreurls' ) );
		
		if ( $values = $form->values() )
		{
			if ( \IPS\Settings::i()->bim_fc_cache == 1 && $values['bim_fc_cache'] != 1 )
			{
				\IPS\Task::queue( 'fcontent', 'clearCache', array(), 4 );
			}
			$form->saveAsSettings();
		}

		\IPS\Output::i()->output = $form;
	}

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
}